Can't run auto-update on Update Notifications plugin

I’ve just tried to run the update on the Update Notifications plugin and I get the following error:

Incompatible Archive. PCLZIP_ERR_BAD_FORMAT (-10) : Unable to find End of Central Dir Record signature

Any suggestions?